Subject: Re: bug#62746: [PATCH] Updated Elispref-Manual: `nil' cannot be defuned

From: Shynur Xie <[email-masked]>
Date: Mon, 10 Apr 2023 09:11:05 +0000

I tried to defun `nil', but Emacs gived me an error:

```
(defmacro defun (name arglist &optional docstring &rest body)
  ...
  (or name (error "Cannot define '%s' as a function" name))
```

And sorry, I will attach the reason for my modification next time, instead of waiting for others to ask.

________________________________________
From: Eli Zaretskii <[email-masked]>
Sent: Monday, April 10, 2023 5:01 PM
To: Shynur Xie
Cc: [email-masked]; [email-masked]
Subject: Re: bug#62746: [PATCH] Updated Elispref-Manual: `nil' cannot be defuned

> From: Shynur Xie <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Mon, 10 Apr 2023 08:56:40 +0000
>
> I think what the manual says is: for example, if the value stored in the function cell of symbol `my-func` is `nil` or `void`, then defining `nil` or `void` with defun makes `my-func` a valid function.

And why is that wrong?